package com.casic.missiles.modular.system.warpper;

import com.casic.missiles.core.base.warpper.BaseControllerWarpper;
import com.casic.missiles.core.util.EhcacheConstant;

import java.util.Map;

//@Service
//@Primary
public class AlarmRuleWarpper extends BaseControllerWarpper {
//    private EhcacheConstant ehcacheConstant = new EhcacheConstant();
    public AlarmRuleWarpper(Object list) { super(list); }
    @Override
    public void warpTheMap(Map<String, Object> map) {

          String deviceType = map.get("deviceType").toString();
          long deptid = Long.parseLong(map.get("deptid").toString());
        map.put("deviceTypeName",EhcacheConstant.retBean().getDeviceTypeNameById(deviceType));
        map.put("deptName",EhcacheConstant.retBean().getDeptNameById(deptid));
    }
}
